Subject: Re: bug#19978: It's too easy to accidentally delete all generations
From: [email-masked] (Ludovic Courtès)
To: [email-masked] (Taylan Ulrich "Bayırlı/Kammer")
Cc: [email-masked]
Date: Mon, 06 Apr 2015 21:59:36 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] (Taylan Ulrich "Bayırlı/Kammer") skribis:

> The other day I ran "guix package -d 1d" thinking it will preserve the
> current generation, but it didn't.  If I'm not mistaken, there's no
> recovery from that either.
>
> Any command that will delete even the current generation should probably
> interactively warn/prompt the user by default, or fail, unless given a
> --force flag.  Documentation should also warn I guess.

I believe d26eb84 fixes that.

There’s no --force flag, but I think it’s unnecessary: it’s always
possible to rollback to generation 0 and from there remove whatever.

Thanks,
Ludo’.